Bug 1572875 - Review Request: caribou - A simplified in-place on-screen keyboard
Summary: Review Request: caribou - A simplified in-place on-screen keyboard
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 10:35 UTC by leigh scott
Modified: 2018-05-25 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
besser82: fedora-review+


Attachments (Terms of Use)

Description leigh scott 2018-04-28 10:35:55 UTC
Spec URL: https://src.fedoraproject.org/rpms/caribou/blob/master/f/caribou.spec

SRPM URL: https://leigh123linux.fedorapeople.org/pub/review/caribou-0.4.21-8.fc29.src.rpm

Description: 
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

Fedora Account System Username: leigh123linux

Comment 1 leigh scott 2018-04-28 10:37:46 UTC
We need this urgently as cinnamon doesn't start without it.


(cinnamon:2095): Cjs-WARNING **: 08:10:10.318: JS ERROR: Error: Requiring Caribou, version none: Typelib file for namespace 'Caribou' (any version) not found
@/usr/share/cinnamon/js/ui/keyboard.js:3:7
@/usr/share/cinnamon/js/ui/main.js:94:7
@<main>:1:31

Comment 3 Björn 'besser82' Esser 2018-04-28 12:01:15 UTC
Package approved without deeper review, as there is no real diff between the spec files from scm and this review, but the autostart patch.

Comment 4 Wolfgang Ulbrich 2018-04-28 12:06:13 UTC
Danke schön, das ich wegen Dir unnötig Zeit verschwendet habe, ich war gerade beim review.
Aber wie immer, du machst halt nur unötigen Quatsch...
sigh.

Comment 5 Björn 'besser82' Esser 2018-04-28 13:01:01 UTC
Wolfgang, you could have saved your time by simply doing the same, I did.  Please stop bitching at me, when you are mad about yourself…

I you wold have read the guideline for unretirement [1] you would have known things, that would haved saved your valuable time and ressources…

  * caribou had been reviewed sometime in the past
  * the package wasn't retired for too long
  * there havn't been any changes to the package, except for one patch


[1]  https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

Comment 6 Patrick Uiterwijk 2018-04-30 01:04:55 UTC
Bjorn, please note that the page you linked to says: "Retired Fedora packages (master/devel/rawhide branch retired) require a re-review if they are retired for more than two weeks or if there is no previous review of the package. Submit a review request (a new bugzilla ticket) and have the package approved by a reviewer as if it were new to Fedora."

This package had been retired for four weeks, which means it must be reviewed as if it were new to Fedora.

Comment 7 leigh scott 2018-04-30 06:46:41 UTC
(In reply to Patrick Uiterwijk from comment #6)
> Bjorn, please note that the page you linked to says: "Retired Fedora
> packages (master/devel/rawhide branch retired) require a re-review if they
> are retired for more than two weeks or if there is no previous review of the
> package. Submit a review request (a new bugzilla ticket) and have the
> package approved by a reviewer as if it were new to Fedora."
> 
> This package had been retired for four weeks, which means it must be
> reviewed as if it were new to Fedora.


I think the Caribou retirement was handled badly, cinnamon always required it so why wasn't I notified beforehand?
The first I knew about it was when bodhi rejected my cinnamon update during the last freeze for final.



Is there any chance you could get the process accelerated as I need this package yesterday or before :-)

https://pagure.io/releng/issue/7470

Comment 8 Björn 'besser82' Esser 2018-04-30 12:02:55 UTC
(In reply to Patrick Uiterwijk from comment #6)
> Bjorn, please note that the page you linked to says: "Retired Fedora
> packages (master/devel/rawhide branch retired) require a re-review if they
> are retired for more than two weeks or if there is no previous review of the
> package. Submit a review request (a new bugzilla ticket) and have the
> package approved by a reviewer as if it were new to Fedora."
> 
> This package had been retired for four weeks, which means it must be
> reviewed as if it were new to Fedora.


***


Package approved!


***


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: caribou-debugsource :
  /usr/src/debug/caribou-0.4.21-8.fc29.x86_64/modules/gtk2/caribou-gtk-
  module.h caribou-debugsource :
  /usr/src/debug/caribou-0.4.21-8.fc29.x86_64/modules/gtk3/caribou-gtk-
  module.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

  --->  False positive

- gtk-query-immodules is invoked when required
  Note: Gtk module file(s) in caribou-gtk3-module
  See:
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GTK.2B_modules

  --->  False positive

- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in caribou
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

  --->  False positive

- glib-compile-schemas is run in %postun and %posttrans if package has
  *.gschema.xml files.
  Note: gschema file(s) in caribou, caribou-antler
  See:
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema

  --->  False positive

- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/caribou
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

  ---> Package has been retired


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> That's fine for compiled Python modules.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL", "LGPL (v2.1 or later)", "FSF All
     Permissive", "Unknown or generated". 234 files have unknown license.
     Detailed output of licensecheck in
     /home/besser82/fedora/review/1572875-caribou/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/glib-2.0,
     /usr/share/dbus-1, /usr/lib64/gnome-settings-daemon-3.0,
     /usr/share/dbus-1/services, /usr/share/glib-2.0/schemas, /usr/lib64
     /gnome-settings-daemon-3.0/gtk-modules

     ---> Not a packaging issue, should be owned by filesystem

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id/1c

     --->  False positive

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-caribou , python3-caribou , caribou-antler , caribou-debuginfo
     , caribou-debugsource

     ---> not needed

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

     ---> Diff has no real meaning by technical specs

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: caribou-0.4.21-8.fc29.x86_64.rpm
          caribou-devel-0.4.21-8.fc29.x86_64.rpm
          python2-caribou-0.4.21-8.fc29.noarch.rpm
          python3-caribou-0.4.21-8.fc29.noarch.rpm
          caribou-gtk2-module-0.4.21-8.fc29.x86_64.rpm
          caribou-gtk3-module-0.4.21-8.fc29.x86_64.rpm
          caribou-antler-0.4.21-8.fc29.x86_64.rpm
          caribou-debuginfo-0.4.21-8.fc29.x86_64.rpm
          caribou-debugsource-0.4.21-8.fc29.x86_64.rpm
          caribou-0.4.21-8.fc29.src.rpm
caribou.x86_64: W: obsolete-not-provided gok
caribou.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/caribou-autostart.desktop
caribou.x86_64: W: no-manual-page-for-binary caribou-preferences
caribou-devel.x86_64: W: obsolete-not-provided gok-devel
caribou-devel.x86_64: W: no-documentation
python2-caribou.noarch: W: obsolete-not-provided caribou
python2-caribou.noarch: W: no-documentation
python3-caribou.noarch: W: obsolete-not-provided caribou
python3-caribou.noarch: W: no-documentation
caribou-gtk2-module.x86_64: W: obsolete-not-provided caribou
caribou-gtk2-module.x86_64: W: no-documentation
caribou-gtk3-module.x86_64: W: obsolete-not-provided caribou
caribou-gtk3-module.x86_64: W: no-documentation
caribou-antler.x86_64: W: obsolete-not-provided caribou
caribou-antler.x86_64: W: no-documentation
caribou-debugsource.x86_64: W: no-documentation
10 packages and 0 specfiles checked; 0 errors, 16 warnings.




Rpmlint (debuginfo)
-------------------
Checking: caribou-debuginfo-0.4.21-8.fc29.x86_64.rpm
          caribou-gtk2-module-debuginfo-0.4.21-8.fc29.x86_64.rpm
          caribou-gtk3-module-debuginfo-0.4.21-8.fc29.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
caribou-debugsource.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-debugsource.x86_64: W: no-documentation
python3-caribou.noarch: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
python3-caribou.noarch: W: obsolete-not-provided caribou
python3-caribou.noarch: W: no-documentation
caribou-gtk2-module.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-gtk2-module.x86_64: W: obsolete-not-provided caribou
caribou-gtk2-module.x86_64: W: no-documentation
caribou-debuginfo.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
python2-caribou.noarch: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
python2-caribou.noarch: W: obsolete-not-provided caribou
python2-caribou.noarch: W: no-documentation
caribou-gtk3-module.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-gtk3-module.x86_64: W: obsolete-not-provided caribou
caribou-gtk3-module.x86_64: W: no-documentation
caribou-gtk2-module-debuginfo.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-gtk3-module-debuginfo.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-antler.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-antler.x86_64: W: obsolete-not-provided caribou
caribou-antler.x86_64: W: no-documentation
caribou-devel.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou-devel.x86_64: W: obsolete-not-provided gok-devel
caribou-devel.x86_64: W: no-documentation
caribou.x86_64: W: invalid-url URL: https://wiki.gnome.org/Projects/Caribou <urlopen error [Errno -2] Name or service not known>
caribou.x86_64: W: obsolete-not-provided gok
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libpangocairo-1.0.so.0
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libpango-1.0.so.0
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libfribidi.so.0
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libgdk_pixbuf-2.0.so.0
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libcairo-gobject.so.2
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libcairo.so.2
caribou.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcaribou.so.0.0.0 /lib64/libpthread.so.0
caribou.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/caribou-autostart.desktop
caribou.x86_64: W: no-manual-page-for-binary caribou-preferences
11 packages and 0 specfiles checked; 0 errors, 34 warnings.


---> No obvious problems here


Diff spec file in url and in SRPM
---------------------------------
--- /home/besser82/fedora/review/1572875-caribou/srpm/caribou.spec	2018-04-30 12:44:01.907801397 +0200
+++ /home/besser82/fedora/review/1572875-caribou/srpm-unpacked/caribou.spec	2018-04-28 13:12:03.000000000 +0200
@@ -124,5 +124,5 @@
 
 %install
-%make_install
+make install DESTDIR=%{buildroot} INSTALL="install -p"
 
 %if !0%{?rhel}
@@ -135,6 +135,6 @@
 find %{buildroot} -name '*.la' -exec rm -f {} ';'
 
-desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :
-desktop-file-validate %{buildroot}%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop || :
+desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :
+desktop-file-validate $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop || :
 
 %find_lang caribou


---> See comment above.


Requires
--------
caribou-debugsource (rpmlib, GLIBC filtered):

python3-caribou (rpmlib, GLIBC filtered):
    caribou
    python(abi)
    python3-gobject
    python3-pyatspi

caribou-gtk2-module (rpmlib, GLIBC filtered):
    caribou(x86-64)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libfribidi.so.0()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

caribou-debuginfo (rpmlib, GLIBC filtered):

python2-caribou (rpmlib, GLIBC filtered):
    caribou
    pyatspi
    pygobject3
    python(abi)

caribou-gtk3-module (rpmlib, GLIBC filtered):
    caribou(x86-64)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libfribidi.so.0()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

caribou-antler (rpmlib, GLIBC filtered):
    /bin/sh
    python3-caribou

caribou-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    caribou(x86-64)
    libcaribou.so.0()(64bit)
    pkgconfig(gdk-x11-3.0)
    pkgconfig(gee-0.8)
    pkgconfig(libxklavier)
    pkgconfig(libxml-2.0)
    pkgconfig(xtst)

caribou (rpmlib, GLIBC filtered):
    /bin/sh
    caribou-gtk2-module
    caribou-gtk3-module
    gobject-introspection
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libatspi.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libcogl-pango.so.20()(64bit)
    libcogl-path.so.20()(64bit)
    libcogl.so.20()(64bit)
    libdbus-1.so.3()(64bit)
    libdrm.so.2()(64bit)
    libfribidi.so.0()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    libxklavier.so.16()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    python3-caribou
    rtld(GNU_HASH)



Provides
--------
caribou-debugsource:
    caribou-debugsource
    caribou-debugsource(x86-64)

python3-caribou:
    python3-caribou

caribou-gtk2-module:
    caribou-gtk2-module
    caribou-gtk2-module(x86-64)
    libcaribou-gtk-module.so()(64bit)

caribou-debuginfo:
    caribou-debuginfo
    caribou-debuginfo(x86-64)
    debuginfo(build-id)

python2-caribou:
    python-caribou
    python2-caribou

caribou-gtk3-module:
    caribou-gtk3-module
    caribou-gtk3-module(x86-64)
    libcaribou-gtk-module.so()(64bit)

caribou-antler:
    caribou-antler
    caribou-antler(x86-64)

caribou-devel:
    caribou-devel
    caribou-devel(x86-64)
    pkgconfig(caribou-1.0)

caribou:
    caribou
    caribou(x86-64)
    libcaribou.so.0()(64bit)



Unversioned so-files
--------------------
caribou-gtk2-module: /usr/lib64/gtk-2.0/modules/libcaribou-gtk-module.so
caribou-gtk3-module: /usr/lib64/gtk-3.0/modules/libcaribou-gtk-module.so

Source checksums
----------------
http://download.gnome.org/sources/caribou/0.4/caribou-0.4.21.tar.xz :
  CHECKSUM(SHA512) this package     : 5fc0cf54a1cad50d41e659adbbb932b51d69d18951562f87497e99aaae17ac72b453b759dd7289ff8f68a79574dfce510b9de6bedc61408c14cb48b83eaf08da
  CHECKSUM(SHA512) upstream package : 5fc0cf54a1cad50d41e659adbbb932b51d69d18951562f87497e99aaae17ac72b453b759dd7289ff8f68a79574dfce510b9de6bedc61408c14cb48b83eaf08da


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -k sha512 -m fedora-rawhide-x86_64 -b 1572875
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Fedora Update System 2018-04-30 19:39:15 UTC
cinnamon-3.8.0-4.fc28 caribou-0.4.21-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-37c3eca456

Comment 10 Fedora Update System 2018-05-01 14:13:26 UTC
caribou-0.4.21-8.fc28, cinnamon-3.8.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-37c3eca456

Comment 11 kwkaess 2018-05-01 22:49:20 UTC
This breaks Gnome (if Cinnamon isn't installed, at least).

Log messages - 

15:29:30 gnome-session-b: Unrecoverable failure in required component org.gnome.SettingsDaemon.XSettings.desktop
15:29:29 gsd-xsettings: Settings schema 'org.cinnamon.desktop.a11y.applications' is not installed

Forces logout in gnome-session.

Comment 12 kwkaess 2018-05-01 23:14:43 UTC
...though I guess it is a vestigial component for non-'cinnamon spin', but still hanging around in a system that has gone f25->f28 without a clean install.


Note You need to log in before you can comment on or make changes to this bug.